<div id="main" role="main" class="page-content pt-6 row">
  <div class="col-12 col-sm-3">
    <div class="sidebar">
      <h3 class="h4 page-title mt-3 mb-2">{{ 'customer_accounts.register.help_title' | t }}</h3>
      <hr class="mb-5">
      
      {% include 'contact_msg' %}
      
      <p class="avenir-bold">
        {{ 'customer_accounts.register.login_link' | t }}
      </p>
      
      <a href="{{ shop_url }}/account/login" class="btn btn-sm btn-secondary"> {{ 'customer_accounts.login.login_button' | t }} </a>
      
    </div>
  </div>
  <div class="col-12 col-sm-9">
    <section class="content">
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">{{ 'customer_accounts.register.page_title' | t }}</h1>
        <hr class="mb-5">
      </header>
      <div class="customer-register-form">
        <div class="customer-register-description mb-4">{{ 'customer_accounts.register.description_html' | t }}</div>
        
        <div class="form-wrapper row no-gutters bg-light py-5 rounded">
        
          <p class="h6 required-msg text-uppercase">{{ 'customer_accounts.register.required_msg' | t }}</p>
          
          <div class="col-12 col-md-10 col-lg-8 px-4">
            {% form 'create_customer' %}
              {% assign form_errors_message = 'errors.customer_accounts.form_message' | t %}
              {% if form.errors %}
                <div class="alert alert-danger" role="alert">
                  {{ form.errors | default_errors }}
                </div>
              {% endif %}
              
              <div class="form-group mb-4">
                <label for="first-name">* {{ 'customer_accounts.register.first_name' | t }}</label>
                <input class="form-control form-control-lg" type="text" value="{{ form.first_name }}" name="customer[first_name]" id="first-name">
              </div>
              
              <div class="form-group mb-4">
                <label for="last-name">{{ 'customer_accounts.register.last_name' | t }}</label>
                <input class="form-control form-control-lg" type="text" value="{{ form.lsst_name }}" name="customer[last_name]" id="last-name">
              </div>
              
              <div class="form-group">
                <label for="customer_email">{{ 'customer_accounts.register.email' | t }}</label>
                <input class="form-control form-control-lg {% if form.errors contains 'email' %}is-invalid{% endif %}" type="email" value="{{ form.email }}" name="customer[email]" id="customer_email" autocorrect="off" autocapitalize="off">
              </div>
              
              <div class="form-group mb-4">
                <label for="customer_password">{{ 'customer_accounts.register.password' | t }}</label>
                <input class="form-control form-control-lg {% if form.errors contains 'contraseña' %}is-invalid{% endif %}" type="password" value="{{ form.password }}" name="customer[password]" id="customer_password">
              </div>

              {% if current_url %}<input type="hidden" name="checkout_url" value="{{ current_url }}">{% endif %}
              <input class="btn btn-primary btn-lg mt-1" type="submit" value="{{ 'customer_accounts.register.register_button' | t }}">
            {% endform %}
          </div>
        </div>
      </div>
    </section>
  </div>
</div>
